﻿$ErrorActionPreference = 'Stop';

$packageName    = $env:ChocolateyPackageName
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/d74737c6db50/TargetSupportInstaller/UnitySetup-Linux-Mono-Support-for-Editor-2022.3.2f1.exe'
$checksum64     = '1f5a5ec21d462b9c9e8539d838d6e26b1f280208e569a97097e18a5e8000cb5f'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
